"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = base;

// Copyright 2017-2019 @polkadot/client-db authors & contributors
// This software may be modified and distributed under the terms
// of the Apache-2.0 license. See the LICENSE file for details.
function base(db) {
  const subscribers = [];
  return {
    del: key => db.del(key),
    get: key => {
      const value = db.get(key);
      return value || new Uint8Array([]);
    },
    set: (key, value, raw) => {
      db.put(key, raw);
      subscribers.forEach(subscriber => subscriber(value, raw));
    },
    onUpdate: subscriber => {
      subscribers.push(subscriber);
    }
  };
}