"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = decodeBool;

var _base = _interopRequireDefault(require("./base"));

// Copyright 2017-2019 @polkadot/client-db authors & contributors
// This software may be modified and distributed under the terms
// of the Apache-2.0 license. See the LICENSE file for details.
function decodeBool(db, createKey) {
  const base = (0, _base.default)(db);
  return {
    del: keyParam => base.del(createKey(keyParam)),
    get: keyParam => {
      const value = base.get(createKey(keyParam));
      return value[0] === 1;
    },
    set: (value, keyParam) => base.set(createKey(keyParam), value, new Uint8Array([value ? 1 : 0])),
    onUpdate: updater => base.onUpdate(updater)
  };
}